jdebug Documentation: Class WatchpointSpec

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger.spec
Class WatchpointSpec

    java.lang.Object
      |
      +--jde.debugger.spec.EventRequestSpec
            |
            +--jde.debugger.spec.WatchpointSpec

Direct Known Subclasses:
  AccessWatchpointSpec, ModificationWatchpointSpec

public abstract class WatchpointSpec
extends EventRequestSpec

WatchpointSpec.java

Created: Tue Aug 3 15:25:42 1999

Since:
  0.1

Field Summary
`(package private) java.lang.String` | `fieldName`
`(package private) java.lang.Long` | `objectID`
`static java.lang.Object` | `objectIDKey` For certain specs that need it, the object ID (for whatever need) is stored in the objectID

Fields inherited from class jde.debugger.spec.EventRequestSpec
`app, classExFilters, classFilters, expr, expressionKey, isResolved, myID, refSpec, request, specPropertyKey, suspendPolicy, thread, threadKey`

Constructor Summary
`WatchpointSpec(Application app, ReferenceTypeSpec refSpec, java.lang.String fieldName)`

Method Summary
`void` | `setObjectID(java.lang.Long objectID)`
`(package private) void` | `setRequest(com.sun.jdi.request.EventRequest request)` sets the request up.

Methods inherited from class jde.debugger.spec.EventRequestSpec
`attemptImmediateResolve, attemptResolve, getEventRequest, getID, installClassExFilters, installClassFilters, isJavaIdentifier, isResolved, resolve, setClassExFilters, setClassFilters, setExpression, setIsResolved, setSuspendPolicy, setThread`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### objectIDKey

    public static final java.lang.Object objectIDKey

  For certain specs that need it, the object ID (for whatever need) is stored in the objectID

### objectID

    java.lang.Long objectID

### fieldName

    java.lang.String fieldName

Constructor Detail

### WatchpointSpec

    public WatchpointSpec(Application app,
                          ReferenceTypeSpec refSpec,
                          java.lang.String fieldName)

Method Detail

### setObjectID

    public void setObjectID(java.lang.Long objectID)

### setRequest

    void setRequest(com.sun.jdi.request.EventRequest request)

  Description copied from class: EventRequestSpec
  sets the request up. This is called when a resolve succedes.
  Overrides:
    setRequest in class EventRequestSpec

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD